#ifndef COLORBIT_H_
#define COLORBIT_H_

#define RSHIFT	0
#define GSHIFT	8
#define BSHIFT	16

#define PACK_COLOR24(r, g, b) \
	((((r) & 0xff) << RSHIFT) | \
	 (((g) & 0xff) << GSHIFT) | \
	 (((b) & 0xff) << BSHIFT))

#define UNP_RED32(x) (((x) >> RSHIFT) & 0xff)
#define UNP_GREEN32(x) (((x) >> GSHIFT) & 0xff)
#define UNP_BLUE32(x) (((x) >> BSHIFT) & 0xff)

#endif	/* COLORBIT_H_ */
